This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 842584 - eclipse - compile with -target 1.5 or greater
eclipse - compile with -target 1.5 or greater
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Krzysztof Daniel
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 842394
  Show dependency treegraph
 
Reported: 2012-07-24 05:23 EDT by Mikolaj Izdebski
Modified: 2014-01-12 19:27 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-17 05:04:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mikolaj Izdebski 2012-07-24 05:23:01 EDT
Package eclipse appears to be using Java generics,
but generates class files in format older than 49.0,
which corresponds to J2SE 5.0, in which generics were introduced.

Please update this package to generate classes in format 49.0 or
above. This corresponds to -target 1.5 option of javac (or ecj).

For more information, see bug #842394
Comment 1 Alexander Kurtakov 2012-07-24 06:23:21 EDT
Please include the names of the jars from eclipse rpms that are failing this rule.
Comment 2 Mikolaj Izdebski 2012-07-24 07:17:43 EDT
The list of suspicious jars is:

/usr/lib64/eclipse/plugins/org.eclipse.equinox.p2.garbagecollector_1.0.200.v20110808-1657.jar
/usr/lib64/eclipse/plugins/org.eclipse.equinox.p2.repository_2.2.0.v20120524-1945.jar
/usr/lib64/eclipse/plugins/org.eclipse.equinox.p2.ui.importexport_1.0.1.v20110818-1344.jar
/usr/lib64/eclipse/plugins/org.eclipse.equinox.p2.updatechecker_1.1.200.v20110808-1657.jar

Generated with:

for p in `zgrep '#48..$' jsr14-rawhide-2012-07-23.gz | sed -e s'/^[^#]*#//' -e 's/#.*//' -e s/.// | sort -u`; do test `repoquery --repoid rawhide --whatprovides $p --source | head -1` = eclipse-4.2.0-3.fc18.src.rpm && echo $p; done
Comment 4 Krzysztof Daniel 2013-01-17 05:04:46 EST
This should be done for f18+ as a side effect of moving to CBI.

Note You need to log in before you can comment on or make changes to this bug.